Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 1736)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 1737)
@@ -44,48 +44,48 @@
 		super(chartEditor, parent, subWidgetsComposite, style, AdvancedChartEditorToolBar.ID);
 		
 		
-		final ToolItem showTitle = new ToolItem(this, SWT.CHECK);
+		final ToolItem showTitleButton = new ToolItem(this, SWT.CHECK);
 		//showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
-		showTitle.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
-		showTitle.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
-		showTitle.setToolTipText(ChartsUIMessages.showhideTitle);
+		showTitleButton.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
+		showTitleButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
+		showTitleButton.setToolTipText(ChartsUIMessages.showhideTitle);
 
 		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE))	{
-			showTitle.setSelection(chartEditor.getResult().isTitleVisible());
+			showTitleButton.setSelection(chartEditor.getResult().isTitleVisible());
 		}
 		// disable if not managed by the command
 		else	{
-			showTitle.setEnabled(false);
+			showTitleButton.setEnabled(false);
 		}
 		
 
-		final ToolItem showLegend = new ToolItem(this, SWT.CHECK);
+		final ToolItem showLegendButton = new ToolItem(this, SWT.CHECK);
 		//showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
-		showLegend.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
-		showLegend.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
-		showLegend.setToolTipText(ChartsUIMessages.showhideLegend);
+		showLegendButton.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
+		showLegendButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
+		showLegendButton.setToolTipText(ChartsUIMessages.showhideLegend);
 
 		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND))	{
-			showLegend.setSelection(chartEditor.getResult().isLegendVisible());
+			showLegendButton.setSelection(chartEditor.getResult().isLegendVisible());
 		}
 		// disable if not managed by the command
 		else	{
-			showLegend.setEnabled(false);
+			showLegendButton.setEnabled(false);
 		}
 
 		
-		final ToolItem showGrid = new ToolItem(this, SWT.CHECK);
+		final ToolItem showGridButton = new ToolItem(this, SWT.CHECK);
 		//showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
-		showGrid.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
-		showGrid.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
-		showGrid.setToolTipText(ChartsUIMessages.showhideGrid);
+		showGridButton.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
+		showGridButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
+		showGridButton.setToolTipText(ChartsUIMessages.showhideGrid);
 		
 		if(!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID))	{
-			showGrid.setSelection(chartEditor.getResult().isGridVisible());
+			showGridButton.setSelection(chartEditor.getResult().isGridVisible());
 		}
 		// disable if not managed by the command
 		else	{
-			showGrid.setEnabled(false);
+			showGridButton.setEnabled(false);
 		}
 
 		
@@ -216,18 +216,23 @@
 				
 				boolean update = true;
 				
-				if(e.getSource() == showTitle)	{
-					getEditorPart().getResult().setTitleVisible(showTitle.getSelection());
+				
+				// FIXME: SJ: title, legend, grid visibility etc. should use the autoUpdateEditor annotation parameters copy functions
+				if(e.getSource() == showTitleButton)	{
+					getEditorPart().getResult().setTitleVisible(showTitleButton.getSelection());
 				}
-				else if(e.getSource() == showLegend)	{
-					getEditorPart().getResult().setLegendVisible(showLegend.getSelection());
+				else if(e.getSource() == showLegendButton)	{
+					getEditorPart().getResult().setLegendVisible(showLegendButton.getSelection());
 				}
-				else if(e.getSource() == showGrid)	{
-					getEditorPart().getResult().setGridVisible(showGrid.getSelection());
+				else if(e.getSource() == showGridButton)	{
+					getEditorPart().getResult().setGridVisible(showGridButton.getSelection());
 				}
 				else if(e.getSource() == renderingModeCombo)	{
 					getEditorPart().getResult().setRenderingColorsMode(renderingModeCombo.getSelectionIndex());
 				}
+				// end of FIXME
+				
+				
 				else if(e.getSource() == fontCombo || e.getSource() == fontSizeCombo)	{
 					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
@@ -254,9 +259,9 @@
 				
 			}
 		};
-		showTitle.addSelectionListener(listener);
-		showLegend.addSelectionListener(listener);
-		showGrid.addSelectionListener(listener);
+		showTitleButton.addSelectionListener(listener);
+		showLegendButton.addSelectionListener(listener);
+		showGridButton.addSelectionListener(listener);
 		renderingModeCombo.addSelectionListener(listener);
 		fontCombo.addSelectionListener(listener);
 		fontSizeCombo.addSelectionListener(listener);
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1736)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1737)
@@ -57,10 +57,10 @@
 			ssizes += ")"; //$NON-NLS-1$
 
 			// Create chart title
-			String title = "";
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
-				title = Utils.createPartitionDimensionsChartTitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle);
-			}
+//			String title = "";
+//			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
+//				title = Utils.createPartitionDimensionsChartTitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle);
+//			}
 
 			// colors
 			this.getChartsEngine().setColors(result.getRenderingColorsMode(),  1);
@@ -79,15 +79,24 @@
 			
 			
 			
+//			cmd += "barplot(" + ssizes + ", col=colors, names.arg=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
+//					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+
 			cmd += "barplot(" + ssizes + ", col=colors, names.arg=" + snames + //$NON-NLS-1$ //$NON-NLS-2$
-					", main=\"" + title + "\", horiz=F, las=2, ylab=\"" + ylab + "\");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
+					", horiz=F, las=2, ylab=\"" + ylab + "\");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			
+			// draw grid
 			if(result.isGridVisible())	{
 				cmd += this.getChartsEngine().getGridPlotCmd();
 			}
 			
+			// draw title
+			if(result.isTitleVisible())	{
+				cmd += this.getChartsEngine().getTitlePlotCmd(Utils.createPartitionDimensionsChartTitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle));
+			}
 			
-			((RChartsEngine) this.chartsEngine).plot(file, cmd);
+			// plot the chart
+			this.getChartsEngine().plot(file, cmd);
 			
 			
 		}
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 1736)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 1737)
@@ -29,14 +29,20 @@
 	public void updateChart(ChartResult result) {
 	
 		Object chart = result.getChart();
-		if (chart != null && chart instanceof File) { // creates a new chart but using the same file
+		// creates a new chart using a new file
+		// FIXME: SJ to MD: this case should never happen, if it happens then a bug must fixed at another location
+		// TODO: find the bug then just keep: this.createChartFile(result);
+		if (chart != null && chart instanceof File) {
 			this.createChartFile(result, (File)chart);
-		} else {
+		}
+		// creates a new chart but using the same file
+		else {
 			this.createChartFile(result);
 		}
 		
 		// FIXME: using new file
 		//this.createChartFile(resultData, preferencesNode);
+			
 	}
 	
 	@Override
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1736)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1737)
@@ -99,15 +99,33 @@
 	}
 	
 	/**
-	 * Returns a string that represents the R command to plot a grid.
+	 * Returns a string that represents the R command to draw a title.
+	 * @param title
 	 * @return
 	 */
+	public String getTitlePlotCmd(String title)	{
+
+		// FIXME: Tests
+//		title(main = "Titre principal", sub = "Sous-titre",
+//			      xlab = "Axe des x", ylab = "Axe des y",
+//			      cex.main = 2,   font.main= 4, col.main= "red",
+//			      cex.sub = 0.75, font.sub = 3, col.sub = "green",
+//			      col.lab ="darkblue"
+//			      )
+		
+		return "title(main = \"" + title + "\");\n"; //$NON-NLS-1$
+	}
+	
+	/**
+	 * Returns a string that represents the R command to draw a grid.
+	 * @return
+	 */
 	public String getGridPlotCmd()	{
 		return "grid (NULL,NULL, lty = \"dotted\", col = \"lightgray\");\n"; //$NON-NLS-1$
 	}
 	
 	/**
-	 * Replaces or creates the vector nammed "colors" in the R workspace from the current charts engine theme palette according to specified rendering mode and items count.
+	 * Replaces or creates the vector named "colors" in the R workspace from the current charts engine theme palette according to specified rendering mode and items count.
 	 * @param renderingColorMode
 	 * @param itemsCount
 	 */
@@ -116,7 +134,7 @@
 	}
 	
 	/**
-	 * Replaces or creates the vector nammed "colors" in the R workspace filled with the specified hexadecimal colors palette.
+	 * Replaces or creates the vector named "colors" in the R workspace filled with the specified hexadecimal colors palette.
 	 * @param hexPalette
 	 */
 	public void setColors(String[] hexPalette)	{
@@ -126,7 +144,6 @@
 			rw.addVectorToWorkspace("colors", hexPalette);  //$NON-NLS-1$
 		}
 		catch(RWorkspaceException e) {
-			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
@@ -136,7 +153,7 @@
 	public void setOutputFormat(String outputFormat)	{
 		this.outputFormat = outputFormat;
 
-		// FIXME : voir comment gérer cela autrement + supprimer certaines méthodes du RDevice devenues inutiles depuis qu'on stocke outputFormat ?
+		// FIXME : SJ: voir comment gérer cela autrement + supprimer certaines méthodes du RDevice devenues inutiles depuis qu'on stocke outputFormat ?
 		if(outputFormat.equals(ChartsEngine.OUTPUT_FORMAT_JPEG))	{
 			this.rDevice = RDevice.JPEG;
 		}
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1736)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1737)
@@ -1276,6 +1276,11 @@
 		if (targetField != null)	{
 			targetField.setAccessible(true);
 			targetField.set(this, value);
+			
+			// Log
+			String message = "TXMResult.setParameter(): " + this.getClass().getSimpleName() + ": setting parameter " + key + " = " + value; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			Log.finest(message);
+			
 		}
 		else if (this.parent != null && propagateToParent) {
 			this.parent.setParameter(key, value, propagateToParent);
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 1736)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 1737)
@@ -38,7 +38,7 @@
 	 * Stack to store selected items to draw at last, over others items.
 	 */
 	protected ArrayList itemsToDrawAtLast; 
-
+	
 	/**
 	 * additional series informations to show in tooltips
 	 */
@@ -78,72 +78,69 @@
 				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 
-				//
-				//				// FIXME: test affichage des concordances des occurrences directement dans le tooltip
-				//				// Progression
-				//				String concordanceStr = "";
+//
+//				// FIXME: test affichage des concordances des occurrences directement dans le tooltip
+//				// Progression
+//				String concordanceStr = "";
 
-				//				if(renderer.getChartType() == ChartsEngine.CHART_TYPE_PROGRESSION)	{
-				//					try {
-				//						Progression progression = ((Progression)renderer.getItemSelector().getResultData());
-				//							//System.out.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() query: " + progression.getQueries().get(xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())));
-				//						Property analysisProperty = progression.
-				//								getCorpus().
-				//								getProperty("word");
-				//						List<Property> viewProperties = new ArrayList<Property>();
-				//						viewProperties.add(progression.
-				//								getCorpus().
-				//								getProperty("word"));
-				//						ReferencePattern referencePattern = new ReferencePattern();
-				//						ReferencePattern refAnalysePattern = new ReferencePattern();
-				//						Concordance concordance = new Concordance(progression.getCorpus(), progression.getQueries().get(xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())), analysisProperty, viewProperties, referencePattern, refAnalysePattern, 10, 10);
-				//
-				//						System.err.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() concordance nlines: " + concordance.getNLines());
-				//						System.err.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() item position: " + (xyDataset.getSeries(series).getY(item).intValue() - 1));
-				//
-				//
-				//
-				//						Line line = concordance.getLines(xyDataset.getSeries(series).getY(item).intValue() - 1, xyDataset.getSeries(series).getY(item).intValue() - 1).get(0);
-				//						concordanceStr = "<p>" + line.leftContextToString() + " <b>" + line.keywordToString() + "</b> " + line.rightContextToString() + "</p>";
-				//						//xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())
-				//					}
-				//					catch(CqiClientException e) {
-				//						// TODO Auto-generated catch block
-				//						e.printStackTrace();
-				//					}
-				//					catch(IOException e) {
-				//						// TODO Auto-generated catch block
-				//						e.printStackTrace();
-				//					}
-				//					catch(CqiServerError e) {
-				//						// TODO Auto-generated catch block
-				//						e.printStackTrace();
-				//					}
-				//				}
+//				if(renderer.getChartType() == ChartsEngine.CHART_TYPE_PROGRESSION)	{
+//					try {
+//						Progression progression = ((Progression)renderer.getItemSelector().getResultData());
+//							//System.out.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() query: " + progression.getQueries().get(xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())));
+//						Property analysisProperty = progression.
+//								getCorpus().
+//								getProperty("word");
+//						List<Property> viewProperties = new ArrayList<Property>();
+//						viewProperties.add(progression.
+//								getCorpus().
+//								getProperty("word"));
+//						ReferencePattern referencePattern = new ReferencePattern();
+//						ReferencePattern refAnalysePattern = new ReferencePattern();
+//						Concordance concordance = new Concordance(progression.getCorpus(), progression.getQueries().get(xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())), analysisProperty, viewProperties, referencePattern, refAnalysePattern, 10, 10);
+//
+//						System.err.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() concordance nlines: " + concordance.getNLines());
+//						System.err.println("ItemSelectionXYStepRenderer.initToolTipGenerator(...).new XYToolTipGenerator() {...}.generateToolTip() item position: " + (xyDataset.getSeries(series).getY(item).intValue() - 1));
+//
+//
+//
+//						Line line = concordance.getLines(xyDataset.getSeries(series).getY(item).intValue() - 1, xyDataset.getSeries(series).getY(item).intValue() - 1).get(0);
+//						concordanceStr = "<p>" + line.leftContextToString() + " <b>" + line.keywordToString() + "</b> " + line.rightContextToString() + "</p>";
+//						//xyDataset.getSeriesIndex(xyDataset.getSeries(series).getKey())
+//					}
+//					catch(CqiClientException e) {
+//						// TODO Auto-generated catch block
+//						e.printStackTrace();
+//					}
+//					catch(IOException e) {
+//						// TODO Auto-generated catch block
+//						e.printStackTrace();
+//					}
+//					catch(CqiServerError e) {
+//						// TODO Auto-generated catch block
+//						e.printStackTrace();
+//					}
+//				}
 
-				if (xyDataset.getSeriesCount() > series) {
-					String token = xyDataset.getSeriesKey(series).toString();
-					token = token.substring(0, token.lastIndexOf(" "));
-					int tokenCount = xyDataset.getSeries(series).getItemCount() - 2; // -2 for the 0 point and the dummy last point
+				String token = xyDataset.getSeriesKey(series).toString();
+				token = token.substring(0, token.lastIndexOf(" "));
+				int tokenCount = xyDataset.getSeries(series).getItemCount() - 2; // -2 for the 0 point and the dummy last point
 
-					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + token + "</span> <b>(" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + " / " + tokenCount + ")</b>"
-					+ "</p></body><html>";
-
-					// FIXME: test contexts in tool tip
-					//				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series)
-					//						+ "</span></p><p><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
-					//						+ " </b><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b>"
-					//						+ concordanceStr
-					//						+ "</p></body><html>";
-				}
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + token + "</span> <b>(" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + " / " + tokenCount + ")</b>"
+						+ "</p></body><html>";
 				
-				return "";
+				// FIXME: test contexts in tool tip
+//				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series)
+//						+ "</span></p><p><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + ChartsEngineMessages.ChartsEngine_LABEL_VALUE_SEPARATORS
+//						+ " </b><b>" + valuesNumberFormat.format(xyDataset.getSeries(series).getX(item)) + "</b>"
+//						+ concordanceStr
+//						+ "</p></body><html>";
+				
 			}
 		});
 	}
-
-
-
+	
+	
+	
 	@Override
 	public Paint getItemPaint(int series, int item) {
 
@@ -157,14 +154,14 @@
 				return new Color(color.getRed(), color.getGreen(), color.getBlue(), 195);
 			}
 			// Multiple item selection
-			//			else if(this.itemSelector.isMultipleSelectedItem(series, item))	{
-			//				// FIXME: rendering tests
-			//				return new Color(130, 130, 130, 195);
-			//				//return new Color(color.getRed(), color.getGreen(), color.getBlue(), 140);
-			//			}
+//			else if(this.itemSelector.isMultipleSelectedItem(series, item))	{
+//				// FIXME: rendering tests
+//				return new Color(130, 130, 130, 195);
+//				//return new Color(color.getRed(), color.getGreen(), color.getBlue(), 140);
+//			}
 
 		}
-
+		
 		return color;
 	}
 
@@ -174,7 +171,7 @@
 
 		Shape s = super.getItemShape(series, item);
 		AffineTransform t = new AffineTransform();
-
+		
 		// shapes are being patched and its not the first false point
 		if (item != 0 && additionalShapesScale != null) {
 			if (additionalShapesScale.size() > series) {
@@ -189,67 +186,67 @@
 				}
 			}
 		} 
-
+		
 		// TODO: find better way to not draw a shape
 		// If not selected item, reduce the shape therefore it will be hidden by the lines chart
 		if(!this.multipleItemsSelector.isMouseOverItem(series, item) && !this.multipleItemsSelector.isSelectedItem(series, item)) {
 			t.setToScale(0.1, 0.1);
 		}
 		// FIXME: Multiple selection
-		//		else if(this.itemSelector.isMultipleSelectedItem(series, item))	{
-		////			
-		//			// Add a background rectangle to the label selected item
-		//			XYSeriesCollection dataset = (XYSeriesCollection) this.getPlot().getDataset();
-		//					
-		//			Graphics2D graphics = ((Graphics2D) this.chartPanel.getGraphics());
-		//			 
-		//			// FIXME: get graphics by creating an image insetad of passing the chart panel to this renderer
-		////			BufferedImage img = new BufferedImage(100, 100, BufferedImage.TYPE_INT_ARGB);
-		////			Graphics2D graphics = img.createGraphics();
-		//			// FIXME: rendering quality tests
-		////			RenderingHints rh = new RenderingHints(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
-		////			rh.put(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
-		////			rh.put(RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
-		////			rh.put(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BILINEAR);
-		////		    graphics.setRenderingHints(rh);
-		//			
-		//			Font font = this.getItemLabelFont(series, item);
-		//			String label = valuesNumberFormat.format(dataset.getSeries(series).getY(item)) + " / " + (dataset.getSeries(series).getItemCount() - 2); //$NON-NLS-1$ // -2 for the 0 point and the dummy last point;
-		//
-		//			GlyphVector v = font.createGlyphVector(graphics.getFontMetrics(font).getFontRenderContext(), label);
-		//	        Shape labelShape = v.getOutline();
-		//	        //Rectangle2D labelBounds = v.getVisualBounds();
-		//	        
-		//			Rectangle2D labelBounds = font.getStringBounds(label, graphics.getFontRenderContext());
-		//
-		//			// FIXME : not rounded rectangle version
-		////			Shape labelBackground = new Rectangle2D.Double(-bounds.getWidth() / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 4, bounds.getHeight() / 2 + 8);
-		//
-		//			//Rectangle2D labelBounds = font.getStringBounds(label, graphics.getFontRenderContext());
-		//			
-		//	        //Rectangle labelBounds = labelShape.getBounds();
-		//	        
-		//			//Shape labelBackground = new RoundRectangle2D.Double(-(labelBounds.getWidth() + 4) / 2, -s.getBounds2D().getHeight() / 2 + 1, labelBounds.getWidth() + 8, labelBounds.getHeight() / 2 + 10, 5, 5);
-		//			double width = labelBounds.getWidth() + 10;
-		//			double height = labelBounds.getHeight() + 10;
-		//			Shape labelBackground = new RoundRectangle2D.Double(-width  / 2, -height / 2 - 15, width, height, 5, 5);
-		//			
-		//			AffineTransform t2 = new AffineTransform();
-		//			t2.setToScale(0.9, 0.9);
-		//			Shape labelBackground2 = t2.createTransformedShape(labelBackground);
-		//			
-		//			
-		//			Area a = new Area(s);
-		//			a.add(new Area(labelBackground));
-		//			//a.add(new Area(labelBackground2));
-		//			//a.add(new Area(labelShape));
-		//			
-		//			s = a;
-		//			//t.setToScale(1.5, 1.5);
-		//
-		//			//return a;
-		//			
-		//		}
+//		else if(this.itemSelector.isMultipleSelectedItem(series, item))	{
+////			
+//			// Add a background rectangle to the label selected item
+//			XYSeriesCollection dataset = (XYSeriesCollection) this.getPlot().getDataset();
+//					
+//			Graphics2D graphics = ((Graphics2D) this.chartPanel.getGraphics());
+//			 
+//			// FIXME: get graphics by creating an image insetad of passing the chart panel to this renderer
+////			BufferedImage img = new BufferedImage(100, 100, BufferedImage.TYPE_INT_ARGB);
+////			Graphics2D graphics = img.createGraphics();
+//			// FIXME: rendering quality tests
+////			RenderingHints rh = new RenderingHints(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
+////			rh.put(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
+////			rh.put(RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
+////			rh.put(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BILINEAR);
+////		    graphics.setRenderingHints(rh);
+//			
+//			Font font = this.getItemLabelFont(series, item);
+//			String label = valuesNumberFormat.format(dataset.getSeries(series).getY(item)) + " / " + (dataset.getSeries(series).getItemCount() - 2); //$NON-NLS-1$ // -2 for the 0 point and the dummy last point;
+//
+//			GlyphVector v = font.createGlyphVector(graphics.getFontMetrics(font).getFontRenderContext(), label);
+//	        Shape labelShape = v.getOutline();
+//	        //Rectangle2D labelBounds = v.getVisualBounds();
+//	        
+//			Rectangle2D labelBounds = font.getStringBounds(label, graphics.getFontRenderContext());
+//
+//			// FIXME : not rounded rectangle version
+////			Shape labelBackground = new Rectangle2D.Double(-bounds.getWidth() / 2, -s.getBounds2D().getHeight() / 2 + 1, bounds.getWidth() + 4, bounds.getHeight() / 2 + 8);
+//
+//			//Rectangle2D labelBounds = font.getStringBounds(label, graphics.getFontRenderContext());
+//			
+//	        //Rectangle labelBounds = labelShape.getBounds();
+//	        
+//			//Shape labelBackground = new RoundRectangle2D.Double(-(labelBounds.getWidth() + 4) / 2, -s.getBounds2D().getHeight() / 2 + 1, labelBounds.getWidth() + 8, labelBounds.getHeight() / 2 + 10, 5, 5);
+//			double width = labelBounds.getWidth() + 10;
+//			double height = labelBounds.getHeight() + 10;
+//			Shape labelBackground = new RoundRectangle2D.Double(-width  / 2, -height / 2 - 15, width, height, 5, 5);
+//			
+//			AffineTransform t2 = new AffineTransform();
+//			t2.setToScale(0.9, 0.9);
+//			Shape labelBackground2 = t2.createTransformedShape(labelBackground);
+//			
+//			
+//			Area a = new Area(s);
+//			a.add(new Area(labelBackground));
+//			//a.add(new Area(labelBackground2));
+//			//a.add(new Area(labelShape));
+//			
+//			s = a;
+//			//t.setToScale(1.5, 1.5);
+//
+//			//return a;
+//			
+//		}
 		else	{
 			t.setToScale(1.5, 1.5);
 		}
@@ -265,10 +262,10 @@
 		this.chartPanel = chartPanel;
 	}
 
-
+	
 	@Override
 	public String getSelectedItemLabelFromDataset(XYDataset dataset, int series, int item)	{
-
+		
 		// manage the first and last dummy point
 		if(item == 0)	{
 			item++;
@@ -276,43 +273,43 @@
 		else if(item == dataset.getItemCount(series) - 1)	{
 			item--;
 		}
-
+		
 		String label = "";
 		int globalPosition = (int) dataset.getXValue(series, item) + 1;
-
+		
 		try {
-
+			
 			Property prop;
-
+			
 			// Ref
 			prop = ((Progression)this.multipleItemsSelector.getResult()).getCorpus().getProperty("ref"); //$NON-NLS-1$
 			// Text id
 			if(prop == null)	{
 				prop = ((Progression)this.multipleItemsSelector.getResult()).getCorpus().getStructuralUnit("text").getProperty("id"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
-
+			
 			Match selectedWordMatch = new Match(globalPosition, globalPosition);
 			label = selectedWordMatch.getValueForProperty(prop);
-
+			
 		}
 		catch(CqiClientException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-
+		
 		// manage the first 0 dummy point
 		if(item == 0)	{
 			item++;
 		}
-
+		
 		int tokenCount = ((XYSeriesCollection)dataset).getSeries(series).getItemCount() - 2; // -2 for the 0 point and the dummy last point
 		label += "\n" + globalPosition + " / " + RendererUtils.valuesNumberFormat.format(((XYSeriesCollection)dataset).getDomainUpperBound(false)); //$NON-NLS-1$ //$NON-NLS-2$ // -2 for the 0 point and the dummy last point
 
 		label += "\n" + RendererUtils.valuesNumberFormat.format(((XYSeriesCollection) dataset).getSeries(series).getY(item)) + " / " + (((XYSeriesCollection) dataset).getSeries(series).getItemCount() - 2); //$NON-NLS-1$ //$NON-NLS-2$ // -2 for the 0 point and the dummy last point 
-
+		
 		return label;
 	}
+	
 
 
-
 }
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1736)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1737)
@@ -54,8 +54,9 @@
 		try {
 			if (ValidateXml.test(file)) {
 				this.getPanel().loadSVGDocument(file.toURL().toExternalForm());
-			} else {
-				Log.severe("** Malformed SVG file: "+file);
+			}
+			else {
+				Log.severe(TXMCoreMessages.bind("** Malformed SVG file: {0}.", file));
 				this.getPanel().resetView();
 			}
 		}
